;;; kernel.lisp --- Low=level kernel functionality

(defun kernel:service-exists? (service)
  "Check if SERVICE is registered with the kernel."
  (not (nil? (kernel:send-signal :SERVICE-STATUS service))))

(defun kernel:service-running? (service)
  "Check if SERVICE is currently running."
  (eq? :RUNNING (kernel:send-signal :SERVICE-STATUS service)))

(defun kernel:start-service (service)
  "Start SERVICE if it is stopped."
  (kernel:send-signal :START-SERVICE service))

(defun kernel:stop-service (service)
  "Stop SERVICE from running."
  (kernel:send-signal :STOP-SERVICE service))


(define (content:reload)
  (kernel:send-signal :CALL-METHOD "ContentDbService" "reload")
  (event:emit "content_db.reloaded" nil nil))

(define (resources:reload)
  (kernel:send-signal :CALL-METHOD "ResourceService" "reload")
  (event:emit "resource_db.reloaded" nil nil))
