;;; world.lisp --- Low-level World functions

(defun world:system-exists? (system)
  "Check if SYSTEM is registered with the world."
  (not (nil? (world:send-signal :STATUS system))))

(defun world:system-running? (system)
  "Check if SYSTEM is currently running."
  (eq? :RUNNING (world:send-signal :STATUS system)))

(defun world:start-system (system)
  "Start a SYSTEM in the current world."
  (world:send-signal :START-SYSTEM system))

(defun world:stop-system (system)
  "Stop a SYSTEM in the current world."
  (world:send-signal :STOP-SYSTEM system))
